#include <BalloonTypes.r>
#include <Types.r>
#include <SysTypes.r>
#include "interface.h"

#define AF_H 220
#define AF_W 300
resource 'DLOG' (DLOG_ABOUT, purgeable) {
	{ 0, 0, AF_H, AF_W },
	movableDBoxProc;
	invisible;
	noGoAway;
	0;
	DLOG_ABOUT;
	"About Quotes";
};

resource 'DITL' (DLOG_ABOUT, purgeable) {
	{
		{ AF_H-10-20, AF_W-10-60, AF_H-10, AF_W-10 };
		Button {
			enabled;
			"OK";
		};
		{ 5, 5, AF_H-10-13-20, AF_W-5 };
		StaticText {
			disabled;
			"Quotes\nVersion 1.0d4\n\nWritten by Jeffrey Kraus\n75103.761@compuserve.com\n\nThanks to\nPaula Gunderson\nGene Linkmeyer\nCraig Schanning"
			
			
		};
		{ 0, 0, 0, 0 }
		HelpItem {
			disabled;
			HMScanhdlg
			{ DLOG_ABOUT };
		};
	}
};

resource 'hdlg' (DLOG_ABOUT, purgeable) {
	HelpMgrVersion;
	0;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			{ 10, 10 },
			{ 0, 0, 0, 0 },
			"To close this dialog box, click this button.";
			"";
			"";
			"";
		}
	}
};

resource 'DLOG' (DLOG_GOTO, purgeable) {
	{ 0, 0, 105, 190 },
	movableDBoxProc;
	invisible;
	noGoAway;
	0;
	DLOG_GOTO;
	"Go To Quote";
};

resource 'DITL' (DLOG_GOTO, purgeable) {
	{
		{ 73, 116, 93, 176 };
		Button {
			enabled;
			"Go To";
		};
		{ 73, 40, 93, 100 };
		Button {
			enabled;
			"Cancel";
		};
		{ 35, 105, 51, 156 }
		EditText {
			disabled;
			"";
		}
		{ 35, 15, 49, 100 };
		StaticText {
			disabled;
			"Go to quote:"
		};
		{ 10, 15, 24, 162};
		StaticText {
			disabled;
			"There are ^0 quotes.";
		}
		{ 0, 0, 0, 0 }
		HelpItem {
			disabled;
			HMScanhdlg
			{ DLOG_GOTO };
		};
	}
};

resource 'hdlg' (DLOG_GOTO, purgeable) {
	HelpMgrVersion;
	0;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			{ 10, 10 },
			{ 0, 0, 0, 0 },
			"To view the quote you have specified above, click this button.";
			"";
			"";
			"";
		}
		HMStringItem {
			{ 10, 10 },
			{ 0, 0, 0, 0 },
			"To close this dialog box without changing the current quote, click this button.";
			"";
			"";
			"";
		}
		HMStringItem {
			{ 10, 10 },
			{ 0, 0, 0, 0 },
			"";
			"Type the number of the quote to view in the active document here.";
			"";
			"";
		}
	}
};

resource 'MBAR' (MENUS_6) {
	{
		MENU_APPLE;
		MENU_FILE;
		MENU_EDIT;
		MENU_QUOTES;
		MENU_SPEECH;
		MENU_FONT;
		MENU_SIZE;
		MENU_WINDOW_6;
	}
};

resource 'MBAR' (MENUS_7) {
	{
		MENU_APPLE;
		MENU_FILE;
		MENU_EDIT;
		MENU_QUOTES;
		MENU_SPEECH;
		MENU_FONT;
		MENU_SIZE;
		MENU_WINDOW_7;
	}
};

resource 'MENU' (MENU_APPLE) {
	MENU_APPLE;
	textMenuProc;
	allEnabled;
	enabled;
	apple;
	{
		"About Quotes"; noIcon; noKey; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
	}
};

resource 'MENU' (MENU_FILE) {
	MENU_FILE;
	textMenuProc;
	allEnabled;
	enabled;
	"File";
	{
		"Open"; noIcon; "O"; noMark; plain;
		"Close"; noIcon; "W"; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
		"Save"; noIcon; "S"; noMark; plain;
		"Save As"; noIcon; noKey; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
		"Quit"; noIcon; "Q"; noMark; plain;
	}
};

resource 'MENU' (MENU_EDIT) {
	MENU_EDIT;
	textMenuProc;
	allEnabled;
	enabled;
	"Edit";
	{
		"Undo"; noIcon; "Z"; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
		"Cut"; noIcon; "X"; noMark; plain;
		"Copy"; noIcon; "C"; noMark; plain;
		"Paste"; noIcon; "V"; noMark; plain;
		"Clear"; noIcon; noKey; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
		"Select All"; noIcon; "A"; noMark; plain;
	}
};

resource 'MENU' (MENU_QUOTES) {
	MENU_QUOTES;
	textMenuProc;
	allEnabled;
	enabled;
	"Quotes";
	{
		"First Quote"; noIcon; "1"; noMark; plain;
		"Previous Quote"; noIcon; "2"; noMark; plain;
		"Next Quote"; noIcon, "3"; noMark; plain;
		"Last Quote"; noIcon, "4"; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
		"Random Quote"; noIcon; "R"; noMark; plain;
		"Go To"; noIcon; noKey; noMark; plain;
	}
};

resource 'MENU' (MENU_SPEECH) {
	MENU_SPEECH;
	textMenuProc;
	allEnabled;
	enabled;
	"Speech";
	{
		"Speak All"; noIcon; "H"; noMark; plain;
		"Stop Speaking"; noIcon; "."; noMark; plain;
		"Voices"; noIcon; hierarchicalMenu; noMark; plain;
	}
};

resource 'MENU' (MENU_FONT) {
	MENU_FONT;
	textMenuProc;
	allEnabled;
	enabled;
	"Font";
	{
	}
};

resource 'MENU' (MENU_SIZE) {
	MENU_SIZE;
	textMenuProc;
	allEnabled;
	enabled;
	"Size";
	{
		"9 Point"; noIcon; noKey; noMark; plain;
		"10 Point"; noIcon; noKey; noMark; plain;
		"12 Point"; noIcon; noKey; noMark; plain;
		"14 Point"; noIcon; noKey; noMark; plain;
		"18 Point"; noIcon; noKey; noMark; plain;
		"24 Point"; noIcon; noKey; noMark; plain;
		"36 Point"; noIcon; noKey; noMark; plain;
		"48 Point"; noIcon; noKey; noMark; plain;
		"72 Point"; noIcon; noKey; noMark; plain;
	}
};

resource 'MENU' (MENU_WINDOW_7) {
	MENU_WINDOW_7;
	textMenuProc;
	allEnabled;
	enabled;
	"Windows";
	{
	}
};

resource 'MENU' (MENU_WINDOW_6) {
	MENU_WINDOW_6;
	textMenuProc;
	allEnabled;
	enabled;
	"Windows";
	{
		"Help"; noIcon; noKey; noMark; plain;
		"-"; noIcon; noKey; noMark; plain;
	}
};

resource 'MENU' (MENU_VOICES) {
	MENU_VOICES;
	textMenuProc;
	allEnabled;
	enabled;
	"Voices";
	{
	}
};

resource 'STR#' (MENU_STRINGS) {
	{
		"Quotes Help";
		"Speak All";
		"Speak Selection";
		"Undo";
		"Undo";
		"Redo";
	}
};

resource 'WIND' (WIND_FORTUNE) {
	{ 0, 0, 228, 286 },
	documentProc;
	invisible;
	goAway;
	0;
	"";
};

resource 'STR ' (ADDRESS)  {
	"75103.761@compuserve.com";
};

#define version "1.0d4"
#define copyright version "  Jeffrey Kraus 1995"

resource 'vers' (1) {
	1;
	0;
	development;
	4;
	0;
	version;
	copyright;
};

type signature as 'STR ';

resource signature (0, purgeable) {
	copyright;
};

resource 'FREF' (128, purgeable) {
	'APPL';
	0;
	"";
};

resource 'FREF' (129, purgeable) {
	'TEXT';
	1;
	""
};

resource 'BNDL' (128, purgeable) {
	signature;
	0;
	{
		'FREF'; { 0; 128; 1; 129; };
		'ICN#'; { 0; 128; 1; 129; };
	}
};

resource 'STR ' (-16396, purgeable) {
	"Quotes";
};

resource 'hfdr' (kHMHelpID, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	{
		HMStringItem
			{
				"Quotes\n\nUse this application program to view randomly selected quotes from text documents.\n\nUse any text editor to create text documents with quotes.";
			}
	}
};
