#include "document.h"

class QuotesWindow {
public:
	int count(void) const;
	int current(void) const;
	Boolean save(void) const;
	void select(int);
	void first(void);
	void previous(void);
	void next(void);
	void last(void);
	void some(void);
	void copy(void);
	void speak(void);
	WindowPtr window(void) const;
	void invalidate(void); // force a redraw
	void draw(void);
	short voice;
	QuotesWindow(QuotesDocument *, OSErr&);
	~QuotesWindow(void);
	short font;
	short size;
private:
	QuotesDocument *pqd;
	int iQuote;
	unsigned char *pchQuote;
	WindowPtr pwin;
	TEHandle hteQuote;
	ControlHandle hctrlVScroll;
};
